All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::VectorIOReader Struct Reference
Inheritance diagram for faiss::VectorIOReader:

## Public Member Functions

size_t | operator() (void *ptr, size_t size, size_t nitems) override
Public Member Functions inherited from faiss::IOReader
virtual int | fileno ()

## Public Attributes

std::vector< uint8_t > | data
size_t | rp = 0
Public Attributes inherited from faiss::IOReader
std::string | name

## Detailed Description

Definition at line 206 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/AuxIndexStructures.h
- /tmp/faiss/AuxIndexStructures.cpp